local cmp = require('cmp')
local config = cmp.get_config()

config.mapping = {
	['<leader>fj']       = cmp.mapping.select_next_item(),
	['<leader>fk']       = cmp.mapping.select_prev_item(),
	['<leader>f<space>'] = cmp.mapping.complete()        ,
	['<leader>fe']       = cmp.mapping.close()           ,
	['<CR>']             = cmp.mapping.confirm({
		behavior = cmp.ConfirmBehavior.Insert,
		select   = true                      ,
	})                                                   ,
}

cmp.setup(config)
